Get Instance
get
/rpa/v1/instances/{instanceId}
Gets a Instance by identifier
Request
Path Parameters
-
instanceId(required): string
unique Instance identifier
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Instance with the given id
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Instance
Type:
objectDescription of Instance.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
connectionOverrides: object
connectionOverrides
Additional Properties Allowed: additionalPropertiesSimple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only. Example: `{"bar-key": "value"}`
-
environmentDisplayName: string
Display name of the environment on which instance is created
-
environmentGroupDisplayName: string
Display name of the environment group on which instance is created
-
environmentGroupIdentifier: string
Environment Group Identifier on which the instance is run
-
environmentIdentifier: string
The identifier of the environment on which instance is created
-
executionSummary: string
The execution summary of the instance in json format
-
flowDisplayName: string
Display name of the flow on which instance is created
-
flowIdentifier(required): string
Unique identifier of the Flow
-
id(required): string
Unique identifier of the instance resource, that is immutable on creation
-
input: string
The input of the instance in json format
-
isAiAssisted: boolean
Whether the instance was AI Assisted
-
isPurged: boolean
Whether the debug data has been purged as per the tracing levels selected
-
isTerminalState: boolean
is instance in terminal state or not.
-
lifecycleState(required): string
Allowed Values:
[ "NEW", "PENDING", "INPROGRESS", "FAILED", "SUCCEEDED", "DELETED", "TIMEOUT", "AGENT_ANOMALY", "ABORT_INITIATED", "ABORTING", "ABORTED" ]The current state of the Instance. -
majorVersion: integer
Major version of the flow
-
output: string
The output of the instance in json format
-
projectId(required): string
Unique identifier of the Project
-
timeCreated(required): string
(date-time)
The time the the Instance was created. An RFC3339 formatted datetime string
-
timeEnd: string
(date-time)
The time the Instance was ended. An RFC3339 formatted datetime string
-
timeStart: string
(date-time)
The time the the Instance was started. An RFC3339 formatted datetime string
-
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow -
version(required): string
Unique version of the flow
Nested Schema : connectionOverrides
Type:
objectAdditional Properties Allowed
Show Source
Simple key-value pair that is applied without any predefined name, type or scope. Exists for cross-compatibility only.
Example: `{"bar-key": "value"}`
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.